import urls from './urls'
import request from '../utils/request'
import Toast from '../utils/toast'

//获取开通服务城市
let service_citys = null;
export const getServiceCityList = async () => {
    if (service_citys)
        return service_citys;
    Toast.showLoading();
    const ret = await request(urls.getServiceCityList, {
        grade: 2,//省市县等级
        pageSize: 500,//这里不分页 一次性获取完
        pageIndex: 1
    }, 'POST');
    Toast.hide();
    if (ret.success && ret.data && ret.data.data) {
        service_citys = ret.data.data
        return service_citys;
    }
    else {
        Toast.showError(ret.errors[0].message)
        service_citys = null;
        return []
    }
}
