import {getConfig} from '../config/index'
import {setTask, removeTask} from "../utils/network";
import {NET_WORK_ERROR_MESSAGE} from "../constants/index";
import Toast from '../utils/toast'

export default function (url) {
    return new Promise(async function (resolve) {
        const id = await setTask(request, [url], resolve)
        request(url, id, resolve);
    })
}

const request = (url, id, resolve, reject, showError = true) => {
    const conf = getConfig();
    wx.request({
        url: `${conf.BASE_URL}galaxyConfig/config/${url}`,
        method: "GET",
        timeout: conf.TIME_OUT,
        success: function (data) {
            if (data.statusCode === 200 && data.data.success) {
                resolve(JSON.parse(data.data.data))
            }
            else
                resolve(false)
            removeTask(id);
        },
        fail: function () {
            showError && Toast.showMessage(NET_WORK_ERROR_MESSAGE)
        }
    })
}