export const isIphoneX = () => {
    const {model} = wx.getSystemInfoSync();
    if (-1 !== model.indexOf("iPhone")) {
        const models = model.split(' ');
        const num = Number(models[1]);
        if ((!isNaN(num) && num > 10) || models[1].indexOf('X') !== -1)
            return true
    }
}

/**
 * 数据流转字符串
 */
export const arrayBufferToUTF8 = (data) => {
  try {
    let unit8Arr = new Uint8Array(data);
    let encodedString = String.fromCharCode.apply(null, unit8Arr),
      decodedString = decodeURIComponent(escape((encodedString))); //没有这一步中文会乱码
    return decodedString;
  } catch (err) {
    return false
  }
}
