import * as Sentry from "sentry-miniapp";

let miniProgram = {}
const configureScope = (context) => {
  Sentry.configureScope((scope) => {
    scope.setUser({
      id: context.mobile
    });
  });
}

const captureBreadcrumb = (options) => {
  if (miniProgram.envVersion === 'release')
    Sentry.captureMessage(options)
}

const captureException = (error) => {
  if (miniProgram.envVersion === 'release')
    Sentry.captureException(error);
}
const captureError = (options) => {
  if (miniProgram.envVersion === 'release')
    captureException(new Error(JSON.stringify(options)))
}
export default {
  install(dsn) {
    const accountInfo = wx.getAccountInfoSync() || {};
    miniProgram = accountInfo.miniProgram || {};
    if (miniProgram.envVersion === 'release')
      Sentry.init({
        dsn,
        release: `${miniProgram.version}-${miniProgram.envVersion}`,
      });
  },
  configureScope,
  captureBreadcrumb,
  captureException,
  captureError
}
