let timer = null;
export default {
    show(opt) {
        wx.showToast(opt)
    },
    hide() {
        wx.hideToast();
        timer && clearTimeout(timer);
    },
    showMessage(title) {
        wx.showToast({
            title,
            icon: 'none'
        })
    },
    showError(title = '失败') {
        wx.showToast({
            title,
            icon: 'error'
        })
    },
    showSuccess(title = '成功') {
        wx.showToast({
            title,
            icon: 'success'
        })
    },
    showLoading(title = '加载...', timeout = 8000) {
        wx.showToast({
            title,
            icon: 'loading'
        })
        timer = setTimeout(() => {
            wx.hideToast();
        }, timeout)
    }
}