const {
  addressTranslation
} = require('../amap/index.js')

//获取地理位置
export const getLocation = function () {
  return new Promise((resolve) => {
    wx.getLocation({
      type: 'gcj02', //返回可以用于wx.openLocation的经纬度
      success: async (res) => {
        try {
          const ret = await addressTranslation(res.longitude + ',' + res.latitude);
          let location = {
            ...ret.addressComponent,
            location: `${res.longitude},${res.latitude}`,
            address: ret.formatted_address,
          }
          resolve(location)
        } catch (e) {
          resolve({})
        }
      },
      fail: function () {
        resolve({})
      }
    })
  })
}
