import {setTask, removeTask} from "../utils/network";
import Toast from '../utils/toast'
import {NET_WORK_ERROR_MESSAGE} from '../constants/index'
import {getConfig} from "../config/index";

// 获取微信授权码
export const getCodeAsync = () => {
    return new Promise((resolve, reject) => {
        const id = setTask(getCode, [], resolve, reject);
        getCode(id, resolve, reject);
    })
}

export const getCode = (id, resolve, reject, showError = true) => {
    wx.login({
        timeout: getConfig().TIME_OUT,
        success: res => {
            resolve(res.code);
            removeTask(id);
        },
        fail() {
            showError && Toast.showMessage(NET_WORK_ERROR_MESSAGE)
        }
    })
}
