module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 18);
/******/ })
/************************************************************************/
/******/ ({

/***/ 18:
/***/ (function(module, exports) {

Component({
    /**
     * 组件的属性列表
     */
    properties: {
        range: {
            type: Array,
            value: []
        },
        rangeKey: {
            type: String,
            value: null
        },
        value: {
            type: Array,
            value: []
        },
        isRange: {
            type: Boolean,
            value: false
        },
        disabled: {
            type: Boolean,
            value: false
        }
    },
    /**
     * 组件的初始数据
     */
    data: {
        show: false,
        step: 1
    },
    /**
     * 组件的方法列表
     */
    methods: {
        //显示
        handleShow() {
            if (this.properties.disabled) return;
            this.setData({
                show: true,
                step: 1
            });
            this.triggerEvent('show');
        },
        //关闭
        handleClose() {
            this.setData({
                show: false
            });
            this.triggerEvent('hide');
        },
        //列变动
        handleChange({ detail }) {
            const { value } = detail;
            const { step } = this.data;
            const values = this.properties.value;
            const column = values[step - 1].findIndex((item, idx) => value[idx] !== item);
            this.triggerEvent('columnchange', {
                step,
                column,
                value: value[column]
            });
        },
        //上一步
        handlePrev() {
            this.setData({
                step: 1
            });
            setTimeout(() => {
                this.setData({
                    value: JSON.parse(JSON.stringify(this.properties.value))
                });
            });
        },
        //下一步
        handleNext() {
            const { value, isRange } = this.properties;
            let { step } = this.data;
            //没有选择完成 直接第二步
            if (isRange && step === 1) {
                this.setData({
                    step: 2
                });
                value[1] = [0, 0, 0];
            }
            //选择了直接确定
            else {
                    this.setData({
                        show: false
                    });
                    this.triggerEvent('hide');
                    step = null;
                }
            this.triggerEvent('change', {
                step,
                value
            });
        }
    }
});

/***/ })

/******/ });